﻿@model IEnumerable<eCommerce.Services.Model.MPAccount>
@{
    ViewBag.Title = "Cuentas de Mercado Pago";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Cuentas de Mercado Pago</h1>
    <div class="page-header-actions">

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/MPAccounts/MPAccountUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA CUENTA DE MERCADO PAGO</span>
            </button>
        </div>
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/MPAccounts/MPAccountRelationship'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">TABLA DE RELACIONES</span>
            </button>
        </div>

    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_MPAccountsList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
        })

        function fDelete(Id)
        {
            debugger;
            $.ajax({
                url: "/MPAccounts/MPAccountDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function fDeleteDialog(categoryId)
        {
            var categoryId = categoryId;
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(categoryId);
                }
            });
        }
    </script>



}

